<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\FeedSchedule;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class FeedSchedulePolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:FeedSchedule');
    }

    public function view(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('View:FeedSchedule');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:FeedSchedule');
    }

    public function update(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('Update:FeedSchedule');
    }

    public function delete(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('Delete:FeedSchedule');
    }

    public function restore(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('Restore:FeedSchedule');
    }

    public function forceDelete(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('ForceDelete:FeedSchedule');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:FeedSchedule');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:FeedSchedule');
    }

    public function replicate(AuthUser $authUser, FeedSchedule $feedSchedule): bool
    {
        return $authUser->can('Replicate:FeedSchedule');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:FeedSchedule');
    }
}
